<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['net.ihe.gazelle.xval.GazelleCrossValidator']}"/>
    <ui:param name="pageNameUrl" value="remoteXValidator.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.xval.GazelleCrossValidator']}"/>
    <ui:define name="body">
        <s:div id="remoteGlobalDiv">
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.Validation']}"/>
                </ui:define>
                <h:form id="remoteSelectValidatorForm">
                    <s:div id="remoteSelectValidators">
                        <s:decorate template="/layout/display/_display.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Validator']}</ui:define>
                            <h:outputText value="#{remoteXValidator.validator.name}" rendered="#{!(remoteXValidator.client == 'Proxy')}"/>
                            <br/>
                        </s:decorate>
                        <h:selectOneMenu value="#{remoteXValidator.validator}"
                                         rendered="#{remoteXValidator.client == 'Proxy'}"
                                         valueChangeListener="#{remoteXValidator.validatorSwitchListener}"
                                         disabled="#{remoteXValidator.displayResult}"
                                         id="validatorInput" styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{remoteXValidator.validators}" var="val"
                                           label="#{val.affinityDomain} - #{val.name}"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xval.PleaseSelect']}"/>
                            <a4j:ajax event="change" render="remoteLoadFilesForm, remoteButtons"/>
                        </h:selectOneMenu>
                        <br/>
                        <br/>
                    </s:div>
                </h:form>

                <h:form id="remoteLoadFilesForm">
                    <ui:include src="/xvalidation/validate/filesDiv.xhtml">
                        <ui:param name="manager" value="#{remoteXValidator}"/>
                    </ui:include>
                </h:form>

                <ui:include src="/xvalidation/validate/uploadFilePanel.xhtml">
                    <ui:param name="uploadBean" value="#{remoteXValidator}"/>
                </ui:include>

                <ui:define name="panel_footer">
                    <h:form id="remoteButtons">
                        <s:div rendered="#{remoteXValidator.validator != null}">
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Validate']}"
                                               actionListener="#{remoteXValidator.validate()}"
                                               render="remoteGlobalDiv"
                                               styleClass="gzl-btn-green"
                                               oncomplete="
                                               if(#{remoteXValidator.sendBackResultToTool()})
                                               {jq162('#sendBackToCallingTool').modal('show')}
                                               else
                                               {jq162('#sendBackToCallingTool').modal('hide')}"
                                               rendered="#{remoteXValidator.areAllInputsWithFiles()}"/>

                            <ui:include src="/common/sendToProxyPanel4XmlBasedFiles.xhtml">
                                <ui:param name="managedBean" value="#{remoteXValidator}"/>
                            </ui:include>
                        </s:div>
                    </h:form>
                </ui:define>
            </ui:decorate>
            <s:div id="remoteResultDiv" rendered="#{remoteXValidator.displayResult}">

                <ui:include src="/xvalidation/validate/reportTemplate.xhtml">
                    <ui:param name="reportBean" value="#{remoteXValidator}"/>
                </ui:include>

            </s:div>
        </s:div>
    </ui:define>
</ui:composition>

